Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055585 - Labels on Summary Counts portlet look like links but are not (not intuitive)
Summary: Labels on Summary Counts portlet look like links but are not (not intuitive)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: UI, Usability
Version: JON 3.2
Hardware: All
OS: All
unspecified
medium
Target Milestone: ER01
: JON 3.3.0
Assignee: Jirka Kremser
QA Contact: Armine Hovsepyan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-20 15:09 UTC by Jirka Kremser
Modified: 2015-09-03 00:02 UTC (History)
3 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-11 14:01:48 UTC
Type: Bug


Attachments (Terms of Use)
Summary-counts-links (deleted)
2014-01-20 15:09 UTC, Jirka Kremser
no flags Details
summarylabels (deleted)
2014-08-20 08:51 UTC, Armine Hovsepyan
no flags Details

Description Jirka Kremser 2014-01-20 15:09:13 UTC
Created attachment 852771 [details]
Summary-counts-links

Description of problem:
As it is shown on the attached screenshot, it is counter-intuitive usage of bold and blue text (we use the same font properties on the resource metric portlet where the elements are clickable and forks as links).


Version-Release number of selected component (if applicable):
3.2.0 GA


How reproducible:
Always


Steps to Reproduce:
1. go to http://${host}:7080/coregui/#Dashboards, where "${host}" is the hostname
2. there should be default portlet called "Summary Counts"

Actual results:
* links work only for the numbers

Expected results:
* links work also for the labels

Comment 1 Jirka Kremser 2014-01-20 15:14:24 UTC
branch:  master
link:    http://git.fedorahosted.org/cgit/rhq/rhq.git/commit/?id=2b8374a22
time:    2014-01-20 16:11:07 +0100
commit:  2b8374a221251882d55a53f8b20d833d0836cd48
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 1055585] - Labels on Summary Counts portlet look like links but are
         not (not intuitive) - The labels now works as normal hyperlinks
         within the web application.


This is based on Biljana's "UX issues" presentation.
Larry, could this go to JON 3.2.1?

Comment 3 Larry O'Leary 2014-06-27 14:54:59 UTC
Let's keep this in 3.3 as it is a UI change and doesn't meet the requirements for a maintenance release.

If the work is done, this is probably ready for MODIFIED state to be picked up in first 3.3 ER build.

Comment 4 Jirka Kremser 2014-08-01 11:20:03 UTC
This was fixed in master so it should be fixed in 3.3 when the release branch was forked from current master.

Comment 5 Simeon Pinder 2014-08-19 23:50:39 UTC
Moving to ON_QA as available to test in the following brew build:

https://brewweb.devel.redhat.com//buildinfo?buildID=379025

Comment 6 Armine Hovsepyan 2014-08-20 08:51:33 UTC
Created attachment 928697 [details]
summarylabels

Comment 7 Armine Hovsepyan 2014-08-20 08:52:10 UTC
verified on JON 3.3.0.ER01 Build Number : 23b3476:f3aa7e7
screen-shot attached


Note You need to log in before you can comment on or make changes to this bug.